package com.intland.codebeamer.functionaltest.page.trackers.documentview;

import com.codeborne.selenide.Condition;
import com.intland.codebeamer.functionaltest.page.common.IsPageLoaded;
import org.openqa.selenium.By;

import static com.codeborne.selenide.Selenide.$;

/**
 * Copyright by Intland Software
 * <p>
 * All rights reserved.
 * <p>
 * This software is the confidential and proprietary information
 * of Intland Software. ("Confidential Information"). You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Intland.
 */
public class LinkTestCasesPage  implements IsPageLoaded {

    @Override
    public boolean isPageLoaded() throws UnsupportedOperationException {
        throw new UnsupportedOperationException();
    }

    @Override
    public void waitForPageToLoad() {
        throw new UnsupportedOperationException();
    }


    public void clickOnSave() {
        $(By.xpath(".//input[@value='Save']")).should(Condition.visible).click();
    }

    public void clickOnClose() {
        $(By.xpath(".//input[@value='Close']")).should(Condition.visible).click();
    }
}
